Triggers

Triggers deletion of declarations in elasticsearch for given product-ids.

This is an internal route and doesn’t necessarily follow API versioning.

delete
https://api.migros.ch/migros/products/v8/trigger/declaration/elasticsearch

Query Parameters

product-idsstringrequired

The declarations of the given product IDs will be deleted in Elasticsearch, separated by commas.

Response

Returned when successful.

delete/migros/products/v8/trigger/declaration/elasticsearch
 

Triggers queueing a product to be reindexed in elasticsearch.

This is an internal route and doesn’t necessarily follow API versioning.

post
https://api.migros.ch/migros/products/v8/trigger/product/elasticsearch/queue/{id}

Query Parameters

partial_fieldsstring

A comma separated list of partial-fields that need to be reindexed. If not set, the full product will be reimported

priorityinteger

Priority for the import (between 0 and 10, 10=highest priority)

Default:2

>= 0<= 10

force_queueboolean

Whether the queuing should check if the product is in queue already (false) or not (true).

Default:false

Path Parameters

idstringrequired

ID of a product to be queued for elasticsearch reindexing

Response

Returned when successful.

post/migros/products/v8/trigger/product/elasticsearch/queue/{id}
 

Triggers a full import of a product.

This is an internal route and doesn’t necessarily follow API versioning.

post
https://api.migros.ch/migros/products/v8/trigger/product/{id}

Path Parameters

idstringrequired

ID of a product to trigger the import for

Headers

Trigger-Priorityinteger

Priority for the import (between 0 and 10)

Default:2

>= 0<= 10

Trigger-Forceboolean

Whether the queuing should check if the product is in queue already (false) or not (true).

Default:false

Response

Returned when successful.

post/migros/products/v8/trigger/product/{id}
 

Triggers the import of ratings from the reactions API for a product.

After the import, the product is queued for partial update (ratings field only).

This is an internal route and doesn’t necessarily follow API versioning.

post
https://api.migros.ch/migros/products/v8/trigger/reactions/ratings/product/{product_id}

Path Parameters

product_idstringrequired

ID of a base product to trigger the import for

Response

204

Returned when successful

post/migros/products/v8/trigger/reactions/ratings/product/{product_id}
 
204

Triggers a re-import of a product in Rialto by sending a product updated message to MOM with a high priority.

This is an internal route and doesn’t necessarily follow API versioning.

post
https://api.migros.ch/migros/products/v8/trigger/rialto/product/{id}

Path Parameters

idstringrequired

ID of a product to trigger the import for

Response

Returned when successful.

post/migros/products/v8/trigger/rialto/product/{id}